Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(19)

Issue 2829733002: mus: Changes SetDisplayRoot() to create actual display (Closed)

Created:
2 years, 6 months ago by sky
Modified:
2 years, 6 months ago
Reviewers:
kylechar, nasko
CC:
chromium-reviews, rjkroege, qsr+mojo_chromium.org, viettrungluu+watch_chromium.org, yzshen+watch_chromium.org, abarth-chromium, Aaron Boodman, darin (slow to review)
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

mus: Changes SetDisplayRoot() to create actual display It now takes enough information for mus to create the display. Further we now assume mus has not created the display at the time SetDisplayRoot() is called. BUG=708279 TEST=covered by tests R=kylechar@chromium.org, nasko@chromium.org Review-Url: https://codereview.chromium.org/2829733002 Cr-Commit-Position: refs/heads/master@{#466057} Committed: https://chromium.googlesource.com/chromium/src/+/c53add46854c4bd7fa46a6f6515835f7292a2b8f

Patch Set 1 #

Patch Set 2 : cleanup #

Patch Set 3 : screenmanagerforwarding only ozone #

Total comments: 16

Patch Set 4 : feedback #

Total comments: 2

Patch Set 5 : includes #

Patch Set 6 : unnecessary get #

Unified diffs Side-by-side diffs Delta from patch set Stats (+231 lines, -56 lines) Patch
M services/ui/display/screen_manager.h View 1 2 3 2 chunks +4 lines, -0 lines 0 comments Download
M services/ui/display/screen_manager_forwarding.h View 1 2 3 2 chunks +2 lines, -0 lines 0 comments Download
M services/ui/display/screen_manager_forwarding.cc View 1 2 3 3 chunks +7 lines, -4 lines 0 comments Download
M services/ui/display/screen_manager_ozone_external.h View 1 2 3 1 chunk +3 lines, -0 lines 0 comments Download
M services/ui/display/screen_manager_ozone_external.cc View 1 2 3 4 3 chunks +7 lines, -1 line 0 comments Download
M services/ui/display/screen_manager_ozone_internal.h View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M services/ui/display/screen_manager_ozone_internal.cc View 1 2 3 1 chunk +4 lines, -0 lines 0 comments Download
M services/ui/display/screen_manager_stub_internal.h View 1 2 3 2 chunks +5 lines, -0 lines 0 comments Download
M services/ui/display/screen_manager_stub_internal.cc View 1 2 3 4 3 chunks +7 lines, -1 line 0 comments Download
M services/ui/public/interfaces/window_manager.mojom View 1 2 chunks +8 lines, -2 lines 0 comments Download
M services/ui/public/interfaces/window_manager_constants.mojom View 1 chunk +7 lines, -0 lines 0 comments Download
M services/ui/service.h View 1 2 3 3 chunks +20 lines, -0 lines 0 comments Download
M services/ui/service.cc View 1 2 3 5 chunks +29 lines, -4 lines 0 comments Download
M services/ui/ws/display_manager.h View 1 chunk +3 lines, -0 lines 0 comments Download
M services/ui/ws/display_manager.cc View 1 chunk +6 lines, -0 lines 0 comments Download
M services/ui/ws/test_utils.h View 1 2 3 2 chunks +6 lines, -2 lines 0 comments Download
M services/ui/ws/test_utils.cc View 1 2 3 1 chunk +4 lines, -0 lines 0 comments Download
M services/ui/ws/window_manager_window_tree_factory.cc View 2 chunks +5 lines, -0 lines 0 comments Download
M services/ui/ws/window_server_delegate.h View 1 2 3 1 chunk +6 lines, -0 lines 0 comments Download
M services/ui/ws/window_server_delegate.cc View 1 chunk +3 lines, -0 lines 0 comments Download
M services/ui/ws/window_tree.h View 1 2 3 2 chunks +10 lines, -4 lines 0 comments Download
M services/ui/ws/window_tree.cc View 1 2 3 4 5 7 chunks +69 lines, -22 lines 0 comments Download
M services/ui/ws/window_tree_unittest.cc View 4 chunks +15 lines, -16 lines 0 comments Download

Messages

Total messages: 32 (24 generated)
sky
nasko: mojom kylechar: the rest
2 years, 6 months ago (2017-04-19 17:08:38 UTC) #3
kylechar
https://codereview.chromium.org/2829733002/diff/40001/services/ui/public/interfaces/window_manager.mojom File services/ui/public/interfaces/window_manager.mojom (right): https://codereview.chromium.org/2829733002/diff/40001/services/ui/public/interfaces/window_manager.mojom#newcode280 services/ui/public/interfaces/window_manager.mojom:280: SetDisplayRoot(display.mojom.Display display, This gets called initially once for each ...
2 years, 6 months ago (2017-04-19 18:06:08 UTC) #12
sky
https://codereview.chromium.org/2829733002/diff/40001/services/ui/public/interfaces/window_manager.mojom File services/ui/public/interfaces/window_manager.mojom (right): https://codereview.chromium.org/2829733002/diff/40001/services/ui/public/interfaces/window_manager.mojom#newcode280 services/ui/public/interfaces/window_manager.mojom:280: SetDisplayRoot(display.mojom.Display display, On 2017/04/19 18:06:08, kylechar wrote: > This ...
2 years, 6 months ago (2017-04-19 19:30:03 UTC) #13
kylechar
lgtm https://codereview.chromium.org/2829733002/diff/40001/services/ui/public/interfaces/window_manager.mojom File services/ui/public/interfaces/window_manager.mojom (right): https://codereview.chromium.org/2829733002/diff/40001/services/ui/public/interfaces/window_manager.mojom#newcode280 services/ui/public/interfaces/window_manager.mojom:280: SetDisplayRoot(display.mojom.Display display, On 2017/04/19 19:30:02, sky wrote: > ...
2 years, 6 months ago (2017-04-19 19:47:09 UTC) #16
sky
https://codereview.chromium.org/2829733002/diff/60001/services/ui/ws/window_tree.cc File services/ui/ws/window_tree.cc (right): https://codereview.chromium.org/2829733002/diff/60001/services/ui/ws/window_tree.cc#newcode2151 services/ui/ws/window_tree.cc:2151: ProcessSetDisplayRoot(display, *(viewport_metrics.get()), On 2017/04/19 19:47:09, kylechar wrote: > optional ...
2 years, 6 months ago (2017-04-19 20:39:15 UTC) #21
nasko
mojom LGTM
2 years, 6 months ago (2017-04-20 17:36:05 UTC) #26
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2829733002/100001
2 years, 6 months ago (2017-04-20 17:40:55 UTC) #29
commit-bot: I haz the power
2 years, 6 months ago (2017-04-20 17:48:06 UTC) #32
Message was sent while issue was closed.
Committed patchset #6 (id:100001) as
https://chromium.googlesource.com/chromium/src/+/c53add46854c4bd7fa46a6f65158...

Powered by Google App Engine
This is Rietveld 408576698